Subject: [I-D] Revised multi-domain PKI interoperability

From: Masaki SHIMAOKA <[email-masked]>
Date: Thu, 13 Nov 2003 22:35:11 +0900

Tim and all,

I revised my personal I-D "Memorandum for multi-domain PKI
interoperability". Sorry for my late announcement.

Major changes are the following:
- Add the figures
    + Structure of multi-domain PKI
    + Each PKI model
- Terminology and Assumptions
    + Modify some terminology
    + Assumptions for Repository
- Define PKI Domain 
    + Add new section
- Modify a definition of some PKI model
    + Cross-Certification model
    + Subordination model
    + Hub model
- Consider for trusted third CA
    + Trusted Third CA in Hub model and Super domain model
- Security Considerations
    + Certificate and CRL Profile
    + Some asymmetric problem

The I-D has already published on IETF repository, and it can be also
obtained from our JNSA web site with the detail ChangeLog.

Please refer the following URLs:
Our website:
    http://www.jnsa.org/mpki/
Newest I-D:
    http://www.jnsa.org/mpki/draft-shimaoka-multidomain-pki-01.txt
ChangeLog:
    http://www.jnsa.org/mpki/ChangeLog-en20031027r1.ppt
Original Presentation on 57thIETF:
    http://www.ietf.org/proceedings/03jul/slides/pkix-9/index.html

When I revise some minor issues like typo, I will update to our site.
And next major revise (update it in IETF repository) will be by the end
of December.

If you are interested in this, please let me know.
Thanks in advance for any comments.

Abstract of this I-D is shown as below.

	Title		: Memorandum for multi-domain PKI Interoperability
	Author(s)	: M. Shimaoka
	Filename	: draft-shimaoka-multidomain-pki-01.txt
	Pages		: 26
	Date		: October 2003

===== Abstract =====
This memo is used to share the awareness necessary to deployment of
multi-domain PKI. Scope of this memo is to establish trust
relationship and interoperability between plural PKI domains.  Both
single-domain PKI and multi-domain PKI are established by the trust
relationships between Certification Authorities (CAs).  Typical and
primitive PKI models are specified as single-domain PKI.  Multi-
domain PKI established by plural single-domain PKI is categorized as
multi-trust point model and single-trust point model. Multi-trust
point model is based on trust list model, and single-trust point
model is based on cross-certification.
===== Abstract =====

Rgds,
shima

-----
Masaki SHIMAOKA

SECOM Trust.net
System Engineering Dpt.
Tel: +81 422 91 8498 (ext.3605)
Fax: +81 422 45 0536
e-mail: [email-masked]